g90+e:
  general:
    full_name: "Graph 90+E"
    international_name: "fx-CG 50"
    year_launched: 2017
    predecessor: cg20
    successor: no
    family: family.prizm
    active: yes
  teaching:
    audience: audience.high_school
    exam_mode: yes
    math_input: yes
    pretty_print: yes
    matrices: yes
    complex_calculus: yes
    symbolic_calculus: symbolic_calculus.QPiRac
    cas: cas.khicas_cg
  packaging:
    size: [18.6, 89, 189] # mm
    weight: 227 # g
    power: power.4aaa
    power_runtime: 170 # hours
  programming:
    casio_basic: casio_basic.native
    add_ins: add_ins.native
    add_ins_sdk: [add_ins_sdk.prizmsdk, add_ins_sdk.fxsdk]
    python: python.native_os320
  hardware:
    mpu: "SH7305"
    cpu: "SH4AL-DSP"
    default_cpu_frequency: 116000000 # Hz
    overclock_tools: ["Ptune 2"]
    max_cpu_frequency: 232000000 # Hz
    ram_chip: 8000000 # bytes
    rom_chip: 32000000 # bytes
    ram_storage: 62000 # bytes
    rom_storage: 16000000 # bytes
    sd_card: no
  devices:
    display: display.r61524
    backlit_display: backlit_display.brightness_5levels
    color_mode: color_mode.rgb565
    touch_screen: no
    display_size_pixels: [396, 224, "384x216"] # pixels
    display_size_text: [21, 7] # characters
    serial_connection: serial_connection.jack_25
    usb_connection: usb_connection.mini_usb_b
    protocols: [protocols.scsi, protocols.p7]
    transfer_software: [transfer_software.file_browser]
    transfer_tutorial: transfer_tutorial.usb_mass_storage
  misc:
    price_range: [80, 120] # euros
    last_os_version: "3.50"
  links:
    casio_france:
      "[Casio Éducation](https://www.casio-education.fr/produits/graph-90-e/) (2021)"
    casio_international:
      "[edu.casio.com](https://edu.casio.com/products/graphic/fxcg50/) (2021)"
  manuals:
    software_french_fr:
      "3.00": "https://support.casio.com/fr/manual/004/GRAPH90+E_Soft_v300_FR.pdf"
      "3.10": "https://support.casio.com/fr/manual/004/GRAPH90+E_Soft_v310_FR.pdf"
      "3.11": "https://support.casio.com/fr/manual/004/GRAPH90+E_Soft_v311_FR.pdf"
      "3.20": "https://support.casio.com/fr/manual/004/GRAPH90+E_Soft_v320_FR.pdf"
      "3.30": "https://support.casio.com/fr/manual/004/GRAPH90+E_Soft_V330_FR.pdf"
      "3.40": "https://support.casio.com/fr/manual/004/GRAPH90+E_Soft_V340_FR.pdf"
      "3.50": "https://support.casio.com/fr/manual/004/GRAPH90+E_Soft_V350_FR.pdf"
    software_international_fr:
      "3.00": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG50_Soft_FR.pdf"
      "3.10": "https://support.casio.com/fr/manual/004/fx-CG50_Soft_v310_FR.pdf"
      "3.11": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG50_Soft_v311_FR.pdf"
      "3.20": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG50_Soft_v320_FR.pdf"
      "3.30": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG50_Soft_v330_FR.pdf"
      "3.40": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG50_Soft_v340_FR.pdf"
      "3.50": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG50_Soft_v350_FR.pdf"
    software_international_en:
      "3.00": "https://support.casio.com/storage/en/manual/pdf/EN/004/fx-CG50_Soft_EN.pdf"
      "3.10": "https://support.casio.com/en/manual/004/fx-CG50_Soft_v310_EN.pdf"
      "3.11": "https://support.casio.com/en/manual/004/fx-CG50_Soft_v311_EN.pdf"
      "3.20": "https://support.casio.com/en/manual/004/fx-CG50_Soft_v320_EN.pdf"
      "3.30": "https://support.casio.com/en/manual/004/fx-CG50_Soft_v330_EN.pdf"
      "3.40": "https://support.casio.com/en/manual/004/fx-CG50_Soft_v340_EN.pdf"
      "3.50": "https://support.casio.com/en/manual/004/fx-CG50_Soft_v350_EN.pdf"
    hardware_french_fr:
      "support.casio.com": "https://support.casio.com/fr/manual/004/GRAPH90+E_Hard_FR.pdf"
    hardware_international_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG50_Hard_FR.pdf"
    hardware_international_en:
      "support.casio.com": "https://support.casio.com/en/manual/004/fx-CG50_Hard_EN.pdf"
